PMC_EVENT_NAMES_OF_CLASS(3)

NAME
pmc_event_names_of_class - return a list of event names supported by a PMC class.

LIBRARY
libpmc

SYNOPSIS
#include <pmc.h>
int
pmc_event_names_of_class(enum pmc_class cl, const char ***eventnames, int *nevents);

DESCRIPTION
Function pmc_event_names_of_class() retrieves the hardware event names supported by the class of PMC hardware specified by argument cl.

It returns an array of const char * pointers to names of events supported by the specified class of PMC hardware. The location pointed to by argument nevents is set to the number of event names returned.

The returned array is allocated using malloc(3).

RETURN VALUES

ERRORS
A call to pmc_event_names_of_class() may fail with the following errors:

[EINVAL]
    Argument cl was invalid.

[ENOMEM]
    Allocation of a memory area to hold the result failed.

SEE ALSO
pmc(3), hwpmc(4)